package de.visone.nlpext.util;

import org.apache.log4j.LogManager;
import org.apache.log4j.xml.DOMConfigurator;

import de.visone.base.SimpleMediator;
import de.visone.gui.window.VisoneWindow;

/**{@link SimpleMediator} without a {@link VisoneWindow}.*/
public class HeadlessMediator extends SimpleMediator {
	public HeadlessMediator() {
		configureLogging();
	}

	public static void configureLogging() {
		new DOMConfigurator().doConfigure(
				HeadlessMediator.class.getResourceAsStream("log4j.xml"),
				LogManager.getLoggerRepository());
	}
}
